/*
  Copyright (c) 2010 Thomas McGuire <thomas.mcguire@kdab.com>

  This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Library General Public License as published by
  the Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
  License for more details.

  You should have received a copy of the GNU Library General Public License
  along with this library; see the file COPYING.LIB.  If not, write to the
  Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
  02110-1301, USA.
*/
#include "util.h"

#include <QFile>
#include <QDebug>

KMime::Message::Ptr readAndParseMail( const QString &mailFile )
{
  QFile file( QString( MAIL_DATA_DIR ) + '/' + mailFile );
  bool ok = file.open( QIODevice::ReadOnly );
  Q_ASSERT( ok );
  Q_UNUSED( ok );
  QByteArray rawData;
  while( !file.atEnd() ) {
    char buf[1024];
    qint64 lineLength = file.readLine(buf, sizeof(buf));
    if(lineLength != -1) {
      rawData.append( buf );
    }
  }
  const QByteArray data = KMime::CRLFtoLF( rawData );
  Q_ASSERT( !data.isEmpty() );
  KMime::Message::Ptr msg( new KMime::Message );
  msg->setContent( data );
  msg->parse();
  return msg;
}
